Page MenuHomePhabricator

503 Varnish error when adding template to a page on Commons.
Closed, ResolvedPublic

Description

Hi.
When attempting to edit [[:commons:File:Ham_the_chimp.jpg]] to add the text "{{duplicate|Ham the chimp (cropped).jpg}}", both I and another user am getting error messages. We are both able to edit other pages, and both able to make other edits to the same page. The error has persisted after waiting a while and 'trying again in a few minutes' as instructed, it's persisted for at least an hour now. The last error message I received follows..

Request: POST http://commons.wikimedia.org/w/index.php?title=File:Ham_the_chimp.jpg&action=submit, from 10.64.0.102 via cp1054 cp1054 ([10.64.32.106]:3128), Varnish XID 610688240
Forwarded for: 198.45.215.17, 10.64.0.102, 10.64.0.102
Error: 503, Service Unavailable at Wed, 10 Dec 2014 04:38:16 GMT

Event Timeline

Revent created this task.Dec 10 2014, 4:42 AM
Revent raised the priority of this task from to Needs Triage.
Revent updated the task description. (Show Details)
Revent changed Security from none to None.
Revent added a subscriber: Revent.
MZMcBride added a subscriber: MZMcBride.

I initially thought this was a MediaWiki issue due to the steps to reproduce, but looking more closely at the error message (an HTTP 503...), it may be an operations issue. Perhaps a shell user can see if there's an error log message?

MZMcBride added a subscriber: ori.Dec 10 2014, 2:25 PM

Maaaaaaaaaaybe https://gerrit.wikimedia.org/r/178790 is related and this issue is resolved?

Aklapper renamed this task from Varnish error when adding template to a page on Commons. to 503 Varnish error when adding template to a page on Commons..Dec 10 2014, 2:28 PM
Aklapper triaged this task as High priority.
Aklapper removed a subscriber: ori.

Just as a note, I was able to make this edit today. Don't know what changed.

I think shit was just generally broken for a bit and should be better now. :-)

If this issue doesn't reoccur, we can probably safely close this task.

Aklapper closed this task as Resolved.Dec 29 2014, 7:33 PM
Aklapper claimed this task.

If this issue doesn't reoccur, we can probably safely close this task.

Doing so.